---
id: why
title: Why Poly? Why We're Writing the World's Greatest Software Library and CLI for Engineering Organisms.
author: Timothy Stiles
author_title: Lead Developer @ Poly
author_url: https://twitter.com/TimothyStiles
author_image_url: https://avatars3.githubusercontent.com/u/7042260?s=400&u=3d7ba75bf7dfe0c24f25a4fbbaac177c3063e5b3&v=4
tags: [hackers, developers, founders, investors, synbio, tech, biotech, vision, community, COVID-19, poly]
---

<!-- ## TODO BEFORE PUBLISHING -->
<!-- Work in stuff about hackers -->
<!-- Find highly relevant images to include -->
<!-- Find citations -->
<!-- Get crypto wallets -->


## Why Poly

Without linux there would be no AWS, without git there would be no GitHub, **without [_Poly_](https://github.com/TimothyStiles/poly) there will be no biofuture**.

Almost, every single software product that you know and love was either built off of or inspired by an open source library or command line tool. Dropbox, google drive, and cloud storage? That was rsync. Every email client supports either the IMAP or POP3 protocol. Honestly, if you can find a non-trivial, from the ground up, completely 100% proprietary piece of software in use today I'll buy you a drink because I don't believe it exists.

Now, why am I ranting about this? Well that brings me to my first (and probably only) lemma:

> Without these open source precursors none of your favorite software products would exist.

Now why is that? The main reason is you don't need to invent the universe to write an app. Almost everything you need is there but for biotech software developers there's one key thing missing: _a modern, scalable set of computational synthetic biology tools that won't set developers' hair on fire_. 

This is where [_Poly_](https://github.com/TimothyStiles/poly) comes in.

## Poly is the Precursor

When it comes to computation every new synbio startup currently has two options:

>1. Use Benchling, Snapgene, Geneious, or some other inflexible and costly third party CRUD app that may not cover all of their use cases.
>
>2. Mangle together some tech infrastructure with whatever outdated python packages they scrape from the internet.

This is absolutely the only way I've ever seen this done. Well maybe not absolutely, but more like 99% of all cases.

Technologies are getting better. Sequencing related software libraries are improving and being updated to fit modern development practices. A16Z is hyping the world of biotech software, and with COVID-19 there's never been a more pressing need to modernize and accelerate humanities' biotechnical capabilities.

That still leaves the question. What the eff does [Poly](https://github.com/TimothyStiles/poly) do in relation to all of this?

[**Poly**](https://github.com/TimothyStiles/poly) _is_ **a modern, open source, scalable set of computational synthetic biology tools that won't set developers' hair on fire**.

Poly's aim is to provide modern, first class computational tools for the bio age. From primer design and circular sequence hashing to codon and synthesis optimization. [**Poly**](https://github.com/TimothyStiles/poly) strives to solve the hard problems so that developers can focus more on experience and less on the weirdness of DNA.

Poly is building a community of the best synbio software developers around the idea that when we share the basics everything gets better for everyone. Developers get better tools that make their jobs easier, companies can stretch their tech dollars farther, consumers get more products, faster, at lower cost, and hackers have more opportunity to start the next big thing in their garage. That's the dream and we're making it happen.

So if you want to contribute, support, or use [Poly](https://github.com/TimothyStiles/poly) give me a holler on [twitter](https://twitter.com/TimothyStiles), check out and star our [git repo](https://github.com/TimothyStiles/poly), and [sponsor the project](https://github.com/sponsors/TimothyStiles) with some cash.

Thanks for reading

Tim